Subject: RE: FW: LER and LSR issue

From: "Mayank Kumar" <[email-masked]>
Date: Wed, 10 Jul 2002 21:20:48 +0530

Hi
see inline ..
  Hi,
   If it is an LSR, it incorporates most of the functionality found in LER.
In LER, you dont need to have FTN tables.
  [Mayank Kumar]  Why we dont need to have FTN tables in an LER. LER needs
FTN tables to match FEC's with labels and send them out to next hops. Please
clarify ????
   For E-LSP support, you need to do the bandwidth reservation in LSRs,
while you just mark the packets in the LER and send to the
   LSR.
  [Mayank Kumar]

  So u are saying that if i plan to implement the functionality of a LSR
also , then i need to take care of these issues also. Like bandwidth
reservation in case of E-LSP's. I think bandwidth reservations need to be
dealt with in case of L-lsp's as well as RSVP-TE and CR-LDP. For eg. if an
egde router initiates a constrained LSP setup (using any of the signalling
protocol) and i am sitting in the core of the mpls , then i need to reserve
bandwidth (or provide queuing and scheduling behaviours PHB) as requested by
the LSP. This is a very good point that u have opened. So as an LER i didnt
need to worry about these things but as an LSR , these bandwidth reservation
and qos handling might require some huge efforts. Please tell me if i am
right

      For BGP-MPLS vpns, you need to add the support for MP-BGP in LERs,
while it is not required in LSRs.
  [Mayank Kumar]

  I dont know what is MP-BGP ???But thanks for the information.

  Any other extra effort apart from the qos handling , that is required by
an lsr and not required by an ler?

  Rajesh

  Mayank Kumar wrote:

    Hi
    you say that most of the edge routers implement only the ler
functionality.
    So is it worth to leave out the lsr functionality  from a mpls switch
???
    What deployment limitations will be there if i just implement the ler
    functionalities. Please reply thinking in terms of the fact that the
routers
    will be used by a service provider.
    >From the replies i have had from other people , i came to know that
other
    vendors who provide routers for the edge are implementing both the ler
and
    lsr functionalities now.
    Mayank

    -----Original Message-----
    From: [email-masked] [mailto:[email-masked]]
    Sent: Tuesday, July 09, 2002 8:10 PM
    To: [email-masked]
    Subject: Re: FW: LER and LSR issue

    Hi,

    Mayank Kumar wrote:

    > Hi
    > i have had no replies to my previous mail which is included below. If
any
    > body have some information , then please do reply on this.
    >
    > -----Original Message-----
    > From: [email-masked] [mailto:[email-masked]]On Behalf Of Mayank
    > Kumar
    > Sent: Monday, July 08, 2002 9:16 PM
    > To: Mpls (E-mail)
    > Subject: LER and LSR issue
    >
    > Hi
    > We are implementing a edge router which is going to sit at the edge of
    > Service Providers network.
    > Can anybody advice that, is it worth the effort to implement a LSR's
    > functionality also or only the LER functionality will be enough???
    > I mean processing of ILM's also instead of  just FTN's ??? Also does
    anybody

     Even if it is just LSR, it needs to have both FTN and ILM. The ILM is
for
    processing labelled packets in the
     incoming direction, and FTN for the outgoing direction.

    >
    > know of mpls implementations in routers from some vendors (eg
    > cisco,juniper,nortel,etc) where only the LER functionality has been

     Most of the edge routers implement  just the LER functionality.

    >
    > implemented.  Also how much extra effort and in terms of what ???
(memory
    ,
    > processsing power, or functionality) is to be made for implementing
both.
    >         Please reply with some level of detail.
    > thanks in advance.
    >
    > regds
    >
    > Mayank

--
"""
-------------------------------------------------------------------------
-  Rajesh Potti             [email-masked]
-  Shasta iSOS Software Development
-  Nortel Networks
-  600 Technology Park
-  Billerica, MA 01821          (O): (978)288-3095 ESN: 248-3095
-------------------------------------------------------------------------

---

From: Rajesh Potti <[email-masked]>
Date: Wed, 10 Jul 2002 12:02:13 -0400

> Hisee inline ..
>
>      Hi,
>
>       If it is an LSR, it incorporates most of the functionality
>      found in LER. In LER, you dont need to have FTN tables.
>      [Mayank Kumar]  Why we dont need to have FTN tables in an
>      LER. LER needs FTN tables to match FEC's with labels and
>      send them out to next hops. Please clarify ????
>
    It was a typo.  I meant in LSRs, you dont need FTN tables.   Not
LERs.

Rajesh

>
>       For E-LSP support, you need to do the bandwidth reservation
>      in LSRs, while you just mark the packets in the LER and send
>      to the
>       LSR.
>      [Mayank Kumar]
>
>      So u are saying that if i plan to implement the
>      functionality of a LSR also , then i need to take care of
>      these issues also. Like bandwidth reservation in case of
>      E-LSP's. I think bandwidth reservations need to be dealt
>      with in case of L-lsp's as well as RSVP-TE and CR-LDP. For
>      eg. if an egde router initiates a constrained LSP setup
>      (using any of the signalling protocol) and i am sitting in
>      the core of the mpls , then i need to reserve bandwidth (or
>      provide queuing and scheduling behaviours PHB) as requested
>      by the LSP. This is a very good point that u have opened. So
>      as an LER i didnt need to worry about these things but as an
>      LSR , these bandwidth reservation and qos handling might
>      require some huge efforts. Please tell me if i am right
>
>         For BGP-MPLS vpns, you need to add the support for MP-BGP
>      in LERs, while it is not required in LSRs.
>      [Mayank Kumar]
>
>      Any other extra effort apart from the qos handling , that is
>      required by an lsr and not required by an ler?
>
>      Rajesh
>
>      Mayank Kumar wrote:
>
>     > Hi
>     > you say that most of the edge routers implement only the
>     > ler functionality.
>     > So is it worth to leave out the lsr functionality  from a
>     > mpls switch ???
>     > functionalities. Please reply thinking in terms of the
>     > fact that the routers
>     > >From the replies i have had from other people , i came to
>     > know that other
>     > vendors who provide routers for the edge are implementing
>     > both the ler and
>     > lsr functionalities now.
>     >
>     > Mayank
>     >
>     > > i have had no replies to my previous mail which is
>     > included below. If any
>     >  Even if it is just LSR, it needs to have both FTN and
>     > ILM. The ILM is for
>     > > implemented.  Also how much extra effort and in terms of
>     > what ??? (memory
>     > ,
>     > > processsing power, or functionality) is to be made for
>     > implementing both.